
Redmine - Patch #6967

Revision Diff Link rendered as text

2010-11-24 11:58 - Alex Bevilacqua

Status: Closed Start date: 2010-11-24

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version:    

Description

This is kind of bizarre, but when using redmine under rails 2.3.8, if you view a revision, the 'diff' link renders as text, not as a link.

I did the following and it resolved the issue (though I don't see why it makes any difference):

Index: repositories_helper.rb

===================================================================

--- repositories_helper.rb    (revision 4425)

+++ repositories_helper.rb    (working copy)

@@ -99,13 +99,13 @@

                              :path => path_param,

                              :rev => @changeset.revision) unless c.action == 'D'

         text << " - #{c.revision}" unless c.revision.blank?

-        text << ' (' + link_to('diff', :controller => 'repositories',

+        diff = '(' + link_to('diff', :controller => 'repositories',

                                        :action => 'diff',

                                        :id => @project,

                                        :path => path_param,

                                        :rev => @changeset.revision) + ') ' if c.action == 'M'

         text << ' ' + content_tag('span', c.from_path, :class => 'copied-from') unless c.from_pat

h.blank?

-        output << "<li class='#{style}'>#{text}</li>" 

+        output << "<li class='#{style}'>#{text} #{diff}</li>" 

       end

     end

     output << '</ul>'

 Just thought I'd share this in case it helps anyone else facing this anomaly.

History

#1 - 2010-11-25 12:08 - Dmitri Kolobov

Thanks for the fix!

I've got the same problem, but not only in the 'Revision' page.

E.g., open the page 'Issues->Update', enter spent time and leave the field 'Activity' blank. Subbmit changes. The resulted page contains broken

links(?) in the field 'Activity'.

Tooltips in Gantt diagramm contain broken links and raw tags instead of formatted text.

#2 - 2019-01-10 14:35 - Go MAEDA

- Status changed from New to Closed

Current versions of Redmine are not affected.
